class BonusSpeed extends Bonus {
    constructor(name, scene, x, y, value, time) {
        super(name, scene, x, y, 'bonusSpeed', value);
        this.time = time;
    }

    useOn(robot) {
        let oldSpeed = robot.speed;
        robot.setSpeed(oldSpeed + this.value);
        this.scene.time.addEvent({delay: this.time, callback: robot.setSpeed(oldSpeed)});
        this.destroy();
    }
}